var PushMessageDetail = {};

PushMessageDetail.baseApiUrl = CONSTANT.URL.CMS.BASE + ClientData.userInfo_accountPath() + CONSTANT.URL.CMS.API.BASE + 'pushMessageDetail/';

// msgMap.messageDetailTopTitle = {ja:"プッシュメッセージ詳細", ko:"푸시 메시지 상세", en:"Push message details"};
// msgMap.messageDetailHeaderTitle = {ja:"メッセージ詳細", ko:"메시지 상세", en:"Message Details"};
// msgMap.messageDetailContentTitle = {ja:"件名", ko:"내용", en:"Content"};
// msgMap.messageDetailSendDateTitle = {ja:"日時", ko:"일시", en:"Send Date"};
// msgMap.messageDetailWorkingNameTitle = {ja:"作業名", ko:"작업명", en:"Operation Name"};
// msgMap.messageDetailSenderTitle = {ja:"送信者", ko:"송신자", en:"Sender"};

PushMessageDetail.init = function() {
    $("#includedHeader").load("../common/header.html" , function() {
        I18N.initi18n();
    });
    var urlParam = CHK.getUrlParameter();
    if (typeof urlParam !== 'object' || typeof urlParam.pushMessageId === 'undefined') {
		return;
	}
    let messageId = urlParam.pushMessageId;
    PushMessageDetail.getMessageDetail(messageId, function(message) {
        PushMessageDetail.showMessage(message);
    });
}

PushMessageDetail.getMessageDetail = function(pushMessageId, callback) {
    let param = {
        sid: COMMON.getSid(),
        pushMessageId: pushMessageId
    };
    const url = PushMessageDetail.baseApiUrl;
    COMMON.cmsAjax(url, param, false, function (json) {
        if (callback) {
            callback(json);
        }
    }, function() {
        console.log('PushMessageDetail.getMessageDetail error');
        if (callback) {
            callback(PushMessageDetail.dummyMessageDetailJson);
        }
    });
}

PushMessageDetail.showMessage = function(message) {
    $('#messageDetail #message').text(message.pushMessage);
    var mDate = message.pushSendDate;
    if (CHK.isAndroid) 
    {
        mDate = CHK.getFormatDate(new Date(message.pushSendDate));
    }
    $('#messageDetail #sendDate').text(mDate);
    $('#messageDetail #operationName').text(message.operationName);
    $('#messageDetail #sender').text(message.pushSendLoginId);
}
